Nimbu Developer Docs
ReferenceConsent

Update consent configuration metadata

PATCH
/settings/consent

Patches configuration-level fields (privacy policy settings) without touching purposes, applications or cookies.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/settings/consent" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "privacy_policy_kind": "string",
  "privacy_policy_url": {},
  "privacy_policy_page_id": "string",
  "purposes": [
    {
      "name": "string",
      "description": {}
    }
  ],
  "applications": [
    {
      "name": "string",
      "title": {},
      "description": {},
      "purposes": [
        "string"
      ],
      "required": true,
      "default": true,
      "opt_out": true,
      "placeholder_message": {},
      "placeholder_action": {},
      "cookies": [
        {}
      ]
    }
  ],
  "cookies": [
    {
      "id": "string",
      "name": "string",
      "path": "string",
      "domain": "string",
      "application": "string"
    }
  ]
}